
// Persistence of Vision Ray Tracer Scene Description File
// File: barb.pov
// Vers: 3
// Desc: sample of barb wire - see cable.pov too
// Date: 02/19/97
// Auth: Rob Antonishen
//

#version 3

#include "colors.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 1, -3>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.5,  0.0>
}

sky_sphere
{
  pigment
  {
    gradient y
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-30, 30, -30>
}

// ----------------------------------------
plane { y, -1 pigment {color rgb <0.7,0.5,0.3>}}

#declare barb =      // one barb sticking up
  cone {
    <0.0, 0, 0>, 0.05    // Center and radius of one end
    <0.0, 0.3, 0 >, 0.0    // Center and radius of other end
  }


#declare link =         //steel cable
  union {
    cylinder {
      <0,0,0>,
      <1,0,0>, 0.05
      pigment { colour rgb <0.4,0.4,0.4> }
      normal {                                    //fake the twisted wire
        spiral1 6
        scallop_wave
        rotate y*90
        scale <0.5,1,1>
      }
    }
    object { barb rotate z*35 }
    object { barb rotate z*35 rotate x*180 }
    object { barb rotate z*-35 rotate x*90 }
    object { barb rotate z*-35 rotate x*270 }

    sphere { <0,0,0>,0.05 }
    sphere { <1,0,0>,0.05 }
    cone {
      <0.0, 0, 0>, 0.05    // Center and radius of one end
      <0.0, 0.3, 0 >, 0.0    // Center and radius of other end
    }

    pigment { colour rgb <0.4,0.4,0.4> }


    finish {
      phong 0.9
      phong_size 60
      metallic
    }

  }


#declare link_length =0.2
#declare link_rotation = 60 // to rotate the barbs and keep the normal in line
#declare link_error = 0.01 // (fraction of link_length)
#declare chain_start=<-1,1,0>
#declare chain_end=<0.4,1.0,-2>
#declare chain_scale=0.8
#declare chain_type=2      //catenary


// #declare chain_debug=on

#include "chain11.inc"
