
// Persistence of Vision Ray Tracer Scene Description File
// File: braided2.pov
// Vers: 3
// Desc: more complicated braided chain using simple torus link
// Date: 02/19/97
// Auth: Rob Antonishen
//

#version 3

#include "colors.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 1, -3>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.5,  0.0>
}

sky_sphere
{
  pigment
  {
    gradient y
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-30, 30, -30>
}

// ----------------------------------------
plane { y, -1 pigment {color rgb <0.7,0.5,0.3>}}

// texture stolen from the chain tutorial in the docs
#declare Chain_Gold = texture {
  pigment { BrightGold }
  finish {
    ambient .1
    diffuse .4
    reflection .25
    specular 1
    metallic
  }
}

#declare link_thick = 0.08 //  rad
#declare link_scale = 2.0  //  proportion of major axis to minor axis.

#declare link =
  torus {
    0.5+link_thick,
    link_thick
    scale <3,link_scale,link_scale>   // overlapping links don't have to run from 0-1 (x)
    rotate x*0
    texture { Chain_Gold }

  }


#declare link_length = 0.05
#declare link_rotation = 30 
#declare link_error = 0.01 // (fraction of link_length)
#declare chain_start=<-1,1,0>
#declare chain_end=<1,1,0>
#declare chain_scale=1      // chain scale
// #declare chain_debug=on

#include "chain11.inc"
