
// Persistence of Vision Ray Tracer Scene Description File
// File: cable.pov
// Vers: 3
// Desc: sample of a cable type link using normals to fake it.
// Date: 02/19/97
// Auth: Rob Antonishen
//

#version 3.6;

#include "colors.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 1, -30>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.5,  0.0>
}

sky_sphere
{
  pigment
  {
    gradient y
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-30, 30, -30>
}

// ----------------------------------------
plane { y, -1 pigment {color rgb <0.7,0.5,0.3>}}


#declare link =         //steel cable
  union {
    cylinder {
      <0,0,0>,
      <1,0,0>, 0.2
    }
    sphere { <0,0,0>,0.2 }
    sphere { <1,0,0>,0.2 }
      pigment { colour rgb <0.6,0.6,0.6> }

    normal { 
      spiral1 6
      scallop_wave
      rotate y*90
      scale <0.5,1,1>
    }
    
    finish {
      phong 0.9
      phong_size 60
      metallic
    }
    
  }

#declare chain_type=2;
#declare link_length =0.2;
#declare link_rotation = 0;
#declare link_error = 0.01; // (fraction of link_length)
#declare chain_start=<-5,5,0>;
#declare chain_end=<5,5,0>;
#declare chain_scale=1;


#declare chain_debug=on;

#include "chain11.inc"
